Subject: Latest 6611 implementation FSMs

From: "Steve Klein (254-5623)" <[email-masked]>
Date: Mon, 4 Apr 94 16:08:49 EDT

I have places an updated version of the 6611 implementation FSMs out
on ibmstandards.cary.ibm.com.  The name of the file is
/aiw/dlsw/connect/fsm-6611-01.txt and is available via anonymous ftp
(ftp as user 'anonymous' and use your Internet address as the password).
I added a 'Failure of associated TCP connection' event to the state
tables.  This change was prompted by a question from Gnanaprakasam Pandian
on what to do with a circuit when the TCP connection it is running over
comes down.

Please look over these FSMs.  I didn't hear any protests at the AIW in
February when I proposed that we use these FSMs as a basis for our
standard work.  The new 'Failure of associated TCP connection' event will
have to be changed to 'Failure of associated WAN connection'.  There was
also some talk at the AIW about the DLC Events and DLC Actions as being
to specific to Token Ring and the 6611 implementation.  I would like to
here some proposals for more generic wording for the events and actions.

Give me you opinions, for or against, on using these FSMs as a base for
our standard so I know who will be the active participants in the rest
of our RIGlet work.

Steve